/*
 * Copyright (C), 2015-2019
 * FileName: JSONExportToolbarUI
 * Author:   Louis
 * Date:     2019/8/29 16:15
 * Description: JSONExportToolbarUI
 * History:
 * <author>          <time>          <version>          <desc>
 */
package com.fr.plugin.tabledataservice.toolbar;

import com.fr.design.fun.impl.AbstractToolbarItem;
import com.fr.form.ui.Widget;
import com.fr.locale.InterProviderFactory;
import com.fr.plugin.tabledataservice.Constants;

/**
 * 〈Function Description〉<br> 
 * 〈JSONExportToolbarUI〉
 *
 * @author Louis
 * @since 1.0.0
 */
public class JSONExportToolbarUI extends AbstractToolbarItem {
    @Override
    public Class<? extends Widget> classForWidget() {
        return JSONExtensionButton.class;
    }

    @Override
    public String iconPathForWidget() {
        return Constants.ICON_PATH;
    }

    @Override
    public String nameForWidget() {
        return InterProviderFactory.getProvider().getLocText("Plugin-tabledataservice_Export");
    }
}