(function($){
    $.extend(FR.WritePane.prototype, {
        exportReportToJSON : function() {
            if (this.fireEvent("beforejson") === false) {
                return;
            }
            var self = this;
            this.saveReport(function () {
                window.location = FR.servletURL + "?op=export&sessionID=" + self.currentSessionID + "&format=json";
                FR.progressBar(self.currentSessionID,"json");
                self.fireEvent("afterjson");
            });
        }
    });
    $.extend(FR.PagePane.prototype, {
        exportReportToJSON : function() {
            if (this.fireEvent("beforejson") === false) {
                return;
            }
            window.location = FR.servletURL + "?op=export&sessionID=" + this.currentSessionID + "&format=json";
            FR.progressBar(this.currentSessionID, "json");
            this.fireEvent("afterjson");
        }
    });
    $.extend(FR.ViewPane.prototype, {
        exportReportToJSON: function () {
            if (this.fireEvent("beforejson") === false) {
                return;
            }
            window.location = FR.servletURL + "?op=export&sessionID=" + this.currentSessionID + "&format=json";
            FR.progressBar(this.currentSessionID, "json");
            this.fireEvent("afterjson");
        }
    });
})(jQuery);